## x11iraf 2.2~rc1+dfsg

=== Makefile ===
all: xgterm ximtool

prefix = /usr/local

export TCL_INCLUDE_DIR = /usr/include/tcl
export TCL_LIB = -ltcl

.PHONY: xgterm ximtool xtapemon obmsh

obm/libobm.a:
	$(MAKE) -C obm

xgterm: obm/libobm.a
	$(MAKE) -C xgterm

ximtool: obm/libobm.a
	$(MAKE) -C ximtool

xtapemon:
	$(MAKE) -C xtapemon

obmsh: obm/libobm.a
	$(MAKE) -C obmsh

clean:
	$(MAKE) -C xtapemon clean
	$(MAKE) -C ximtool clean
	$(MAKE) -C xgterm clean
	$(MAKE) -C obmsh clean
	$(MAKE) -C obm clean

install: xgterm ximtool
	mkdir -p ${DESTDIR}${prefix}/bin ${DESTDIR}${prefix}/share/man/man1
	install -m755 xgterm/xgterm ${DESTDIR}${prefix}/bin
	install -m755 xgterm/xgterm.man ${DESTDIR}${prefix}/share/man/man1/xgterm.1
	tic xgterm/xgterm.terminfo
	install -m755 ximtool/ximtool ${DESTDIR}${prefix}/bin
	install -m755 ximtool/ximtool.man ${DESTDIR}${prefix}/share/man/man1/ximtool.1
	if [ -x ximtool/clients/ism_wcspix.e ] ; then \
	    install -m755 ximtool/clients/ism_wcspix.e ${DESTDIR}${prefix}/bin ; \
	fi

=== obmsh/Makefile ===
OBJS = obmsh.o

all: obmsh

CFLAGS += -I../obm
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include
    LDFLAGS += -L/usr/X11/lib
endif

obmsh: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L../obm -lobm \
	    -lXpm $(TCL_LIB) -lXaw3d -lXmu -lXt -lXext -lX11 -lncurses -lm

clean:
	rm -f obmsh $(OBJS)

=== xgterm/Makefile ===
OBJS = button.o charproc.o cursor.o data.o gtermio.o input.o main.o	\
 menu.o misc.o screen.o scrollbar.o tabs.o util.o VTPrsTbl.o

all: xgterm

CFLAGS += -I../obm -DALLOWLOGGING -Wno-implicit-function-declaration -Wno-implicit-int
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include
    LDFLAGS += -L/usr/X11/lib
endif

xgterm: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L../obm -lobm \
	    -lXpm $(TCL_LIB) -lXaw3d -lXmu -lXt -lXext -lX11 -lncurses -lm

clean:
	rm -f xgterm $(OBJS)

=== ximtool/Makefile ===
OBJS = eps.o fitsio.o gifio.o iis.o irafio.o ism.o ism_wcspix.o	\
 load.o logo.o print.o quant.o rasio.o raster.o save.o tiffio.o	\
 util.o ximclient.o ximtool.o zscale.o

all: ximtool clients

.PHONY: clients

ifdef iraf
    MKPKG ?= $(iraf)unix/bin/mkpkg.e
else
    MKPKG ?= mkpkg
endif

CFLAGS += -I../obm -I${TCL_INCLUDE_DIR}

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include
    LDFLAGS += -L/usr/X11/lib
endif

ifeq ($(OSI_COMPLIANT), YES)
    CFLAGS += -DOSI_COMPLIANT
else
    ximclient.o: ximtool.html.h
endif

ximtool.o: ximtool.gui.h

ximtool.gui.h: ximtool.gui
	sed -f gui2c.sed ximtool.gui > ximtool.gui.h

ximtool.html.h: ximtool.html
	sed -f gui2c.sed ximtool.html > ximtool.html.h

ximtool: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L../obm -lobm \
	    -lXpm $(TCL_LIB) -lXaw3d -lXmu -lXt -lXext -lX11 -lncurses -lm

clients:
	cd clients && $(MKPKG) || true

clean:
	rm -f ximtool ximtool.gui.h ximtool.html.h $(OBJS)
	cd clients && $(MKPKG) clean || true

=== debian/changelog ===
x11iraf (2.2~rc1+dfsg-5) unstable; urgency=medium

  * Provide Freedesktop appstream metadata
  * Fix argument type for XawListChange

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Nov 2024 20:56:34 +0100

x11iraf (2.2~rc1+dfsg-4) unstable; urgency=medium

  * Add current defaults paths for imtoolsrc

 -- Ole Streicher <olebole@debian.org>  Thu, 31 Oct 2024 12:29:52 +0100

x11iraf (2.2~rc1+dfsg-3) unstable; urgency=medium

  * Correct argument order in xim_setMapping, fixes ximtool crash

 -- Ole Streicher <olebole@debian.org>  Thu, 31 Oct 2024 12:28:42 +0100

x11iraf (2.2~rc1+dfsg-2) unstable; urgency=medium

  * Use time_t instead of long for time (fix FTBFS on 32 bit)

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Aug 2024 23:31:36 +0200

x11iraf (2.2~rc1+dfsg-1) unstable; urgency=medium

  * Accept prereleases in d/watch
  * Fix Files-excluded in d/copyright
  * New upstream version 2.2~rc1+dfsg. Closes: #1075648
  * Rediff patch
  * Move Separator to non-free files in Makefile
  * Add missing pointer cast to fix ftbfs in ximtool.c

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Aug 2024 20:30:12 +0200

x11iraf (2.1+dfsg-3) unstable; urgency=medium

  * Push Standards-Version to 4.7.0. No changes needed
  * Add login to dependencies as it is no longer an essential package
    (Closes: #1074094)

 -- Ole Streicher <olebole@debian.org>  Sun, 23 Jun 2024 20:58:00 +0200

x11iraf (2.1+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Ole Streicher ]
  * Add xfonts-100dpi as recommendation
  * Add desktop file and icons for xgterm and ximtool
  * Push Standards-Verson to 4.6.2. No changes.
  * Remove leading path from install target dirs

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Mar 2024 09:41:39 +0100

=== debian/control ===
Source: x11iraf
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 13),
               flex,
               iraf-dev,
               libncurses-dev,
               libxaw7-dev,
               libxmu-dev,
               libxpm-dev,
               tcl-dev,
               xaw3dg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/x11iraf
Vcs-Git: https://salsa.debian.org/debian-astro-team/x11iraf.git
Homepage: https://github.com/iraf-community/x11iraf
Rules-Requires-Root: no

Package: ximtool
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: iraf
Description: Interactive image display program for the X Window System
 Ximtool provides an image display capability to remote client
 applications for IRAF using the standard imtool/iis image display
 protocol. The image display server allows a number of image frame
 buffers to be created and displayed. The client can read and write
 data in these frame buffers. Any frame or combination of frames can
 be displayed. Various display options are provided, e.g., zoom and
 pan, flip about either axis, frame blink, windowing of the display,
 and colortable enhancement.

Package: xgterm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         login
Recommends: xfonts-100dpi
Suggests: iraf
Description: Terminal emulator to work with IRAF
 XGterm provides a Tek 4012 compatible graphics terminal emulation for
 IRAF, plus a datastream driven widget server capability using the
 Object Manager to provide full access to the underlying toolkit and
 widget set. The Gterm graphics window operates almost identically to
 the xterm Tek window, however there are extensions for implementing
 full-screen cursors, imaging, area fills, colors, graphics erasure,
 a "status line" and so on.

## x11iraf 2.2%2Bdfsg

=== debian/changelog ===
x11iraf (2.2+dfsg-1) unstable; urgency=medium

  * Adjust license of appstream metadata
  * New upstream version 2.2+dfsg. Closes: #1098115
  * Rediff patches
  * Use desktop metadata provided by upstream
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Mar 2025 22:18:31 +0100

## x11iraf 2.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 prefix = /usr/local
 
+export CFLAGS += -std=gnu11
 export TCL_INCLUDE_DIR = /usr/include/tcl
 export TCL_LIB = -ltcl

=== xgterm/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 all: xgterm
 
-CFLAGS += -I../obm -DALLOWLOGGING -Wno-implicit-function-declaration -Wno-implicit-int
+CFLAGS += -I../obm -DALLOWLOGGING -Wno-implicit-function-declaration
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
     CFLAGS += -I/usr/X11/include

=== obm/ObmW/Makefile ===
OBJS = Arrow.o Board.o Button.o Common.o DrawIString.o DrawString.o	\
 DrawingArea.o Frame.o Group.o Gterm.o Icon.o iconutil.o Label.o	\
 MenuBar.o MultiList.o RadioGrp.o RowCol.o Scrollbar.o		\
 Slider2.o Tablist2Tabs.o TextWidth.o Toggle.o cvtLong.o scroll.o	\
 strnchr.o Tabs.o Gcs.o ListTree.o Container.o color.o

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include
    LDFLAGS += -L/usr/X11/lib
endif

ifeq ($(OSI_COMPLIANT), YES)
      CFLAGS += -DOSI_COMPLIANT
else
      OBJS += HTML-PSformat.o HTML.o HTMLformat.o HTMLimages.o HTMLjot.o     \
         HTMLlists.o HTMLparse.o HTMLwidgets.o Separator.o Table.o Table3d.o \
	 TableUtil.o
endif

all: $(OBJS)

Gterm.o: Gterm.c GtermCnv.c GtermGraphics.c GtermImaging.c		\
 GtermCmap.c GtermMapping.c GtermMarker.c GtermUtil.c GtermDebug.c

clean:
	rm -f $(OBJS)

=== obm/listres/Makefile ===
OBJS = listres.o AllWidgets.o

CFLAGS += -I.. -I../ObmW
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include
    LDFLAGS += -L/usr/X11/lib
endif

all: listres

listres: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L.. -lobm \
	    -lXpm $(TCL_LIB) -lXaw3d -lXmu -lXt -lXext -lX11 -lm

clean:
	rm -f listres $(OBJS)

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxpm-dev,
                tcl-dev,
                xaw3dg-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/x11iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/x11iraf.git
 Homepage: https://github.com/iraf-community/x11iraf

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/x11iraf-$1\.tar\.gz/,dversionmangle=s/\+dfsg.*//,repacksuffix=+dfsg \
  https://github.com/iraf-community/x11iraf/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
